/*

    QBabbel, a simple VoIP chat utility using JVOIPLIB 
    Copyright (C) 2004  Jori Liesenborgs (jori@lumumba.luc.ac.be)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef QBABBELOUTPUT_H

#define QBABBELOUTPUT_H

#include <jvoipsoundcardoutput.h>
#include <jmutex.h>

class QBabbelOutput : public JVOIPSoundcardOutput
{
public:
	QBabbelOutput(JVOIPSession *sess);
	~QBabbelOutput();
	double GetSampleAverage();
	int Play(VoIPFramework::VoiceBlock *vb);
private:
	JMutex avgmutex;
	double avg;
};

#endif // QBABBELIOUTPUT_H
